## org.apache.batik.anim.values
Class AnimatableIntegerValue

    java.lang.Object
      org.apache.batik.anim.values.AnimatableValue
          org.apache.batik.anim.values.AnimatableIntegerValue

    public class AnimatableIntegerValue

extends AnimatableValue

An integer in the animation engine.

Field Summary
`protected int` `value` The value.

Fields inherited from class org.apache.batik.anim.values.AnimatableValue
`decimalFormat, hasChanged, target`

Constructor Summary
`protected` `AnimatableIntegerValue(AnimationTarget target)` Creates a new, uninitialized AnimatableIntegerValue.
`` `AnimatableIntegerValue(AnimationTarget target, int v)` Creates a new AnimatableIntegerValue.

Method Summary
`boolean` `canPace()` Returns whether two values of this type can have their distance computed, as needed by paced animation.
`float` `distanceTo(AnimatableValue other)` Returns the absolute distance between this value and the specified other value.
`java.lang.String` `getCssText()` Returns the CSS text representation of the value.
`int` `getValue()` Returns the integer value.
`AnimatableValue` `getZeroValue()` Returns a zero value of this AnimatableValue's type.
`AnimatableValue` `interpolate(AnimatableValue result, AnimatableValue to, float interpolation, AnimatableValue accumulation, int multiplier)` Performs interpolation to the given value.

Methods inherited from class org.apache.batik.anim.values.AnimatableValue
`formatNumber, hasChanged, toString, toStringRep`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected int value

  The value.

Constructor Detail

### AnimatableIntegerValue

    protected AnimatableIntegerValue(AnimationTarget target)

  Creates a new, uninitialized AnimatableIntegerValue.

### AnimatableIntegerValue

    public AnimatableIntegerValue(AnimationTarget target,
                                  int v)

  Creates a new AnimatableIntegerValue.

Method Detail

### interpolate

    public AnimatableValue interpolate(AnimatableValue result,
                                       AnimatableValue to,
                                       float interpolation,
                                       AnimatableValue accumulation,
                                       int multiplier)

  Performs interpolation to the given value.

  Specified by:
    `interpolate` in class `AnimatableValue`
  Parameters:
    `result` - the object in which to store the result of the interpolation, or null if a new object should be created
    `to` - the value this value should be interpolated towards, or null if no actual interpolation should be performed
    `interpolation` - the interpolation distance, 0 <= interpolation <= 1
    `accumulation` - an accumulation to add to the interpolated value
    `multiplier` - an amount the accumulation values should be multiplied by before being added to the interpolated value

### getValue

    public int getValue()

  Returns the integer value.

### canPace

    public boolean canPace()

  Returns whether two values of this type can have their distance computed, as needed by paced animation.

  Specified by:
    `canPace` in class `AnimatableValue`

### distanceTo

    public float distanceTo(AnimatableValue other)

  Returns the absolute distance between this value and the specified other value.

  Specified by:
    `distanceTo` in class `AnimatableValue`

### getZeroValue

    public AnimatableValue getZeroValue()

  Returns a zero value of this AnimatableValue's type.

  Specified by:
    `getZeroValue` in class `AnimatableValue`

### getCssText

    public java.lang.String getCssText()

  Returns the CSS text representation of the value.

  Overrides:
    `getCssText` in class `AnimatableValue`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.